/*
   Copyright (C) 2004 by James Gregory
   Part of the GalaxyHack project
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License.
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY.
 
   See the COPYING file for more details.
*/


#ifndef GUARD_RTSInlines
#define GUARD_RTSInlines

#include "Globals.h"
#include "Group.h"

inline string GetFullTypeName(int nSide, int nGroup) {
	if (sides[nSide].groups[nGroup].GetType() == UT_CaShUnit)
		return csTypeToString[sides[nSide].groups[nGroup].GetCSType()];
	else
		return uTypeToString[sides[nSide].groups[nGroup].GetType()];
}

#endif

